Bug 524468 - Review Request: gstreamer-plugins-espeak - A simple gstreamer plugin to use espeak
Review Request: gstreamer-plugins-espeak - A simple gstreamer plugin to use e...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-20 11:44 EDT by Sebastian Dziallas
Modified: 2009-10-06 06:10 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.3.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 05:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
guido.grazioli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2009-09-20 11:44:17 EDT
Spec URL: http://sdz.fedorapeople.org/rpmbuild/gstreamer-plugins-espeak.spec

SRPM URL: http://sdz.fedorapeople.org/rpmbuild/gstreamer-plugins-espeak-0.3.3-1.fc11.src.rpm

Description:

This package would especially help some Sugar Activities audio-wise.
However, it currently doesn't compile on ppc and ppc64. A failed koji build is here: http://koji.fedoraproject.org/koji/taskinfo?taskID=1693057
The ExcludeArch tags have been added after this build.
Comment 1 Guido Grazioli 2009-09-20 14:05:43 EDT
Have you tried building without -Werror ?
Comment 2 Sebastian Dziallas 2009-09-25 19:17:12 EDT
Whoa, that works - thanks for the hint!

I updated the spec file to make it build on all platforms now. Actually, the issue was the configure file which was building a plugin in cvs mode (while we obviously want release mode).

Spec URL: http://sdz.fedorapeople.org/rpmbuild/gstreamer-plugins-espeak.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/gstreamer-plugins-espeak-0.3.3-2.fc11.src.rpm

New Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1708305

Would anybody mind taking on this quickly before we enter the freeze?
Comment 3 Guido Grazioli 2009-09-26 06:10:55 EDT
OK - rpmlint output

../SPECS/gstreamer-plugins-espeak.spec:28: W: configure-without-libdir-spec
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

It can be safely ignored, as rpmlint thinks you are running configure here:
sed -i 's/NANO=1/NANO=0/g' ./configure

(rpmlint reports the warn even if you comment the line, you could check if a bug report has been already opened about that, i only found this one: 
bug 462360)

However, if you modify the line to:
sed -i 's/NANO=1/NANO=0/g' configure
rpmlint doesnt complain anymore.

As a side note, it's not a must, but maybe changing configure.ac
and running autoconf before building is somewhat more elegant.

OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is LGPLv2+)
OK - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1708305
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. 
4e4a2d2363c50be72ed5d26a319439c3  gst-plugins-espeak-0.3.3.tar.bz2
NA - The spec file MUST handle locales properly (no translations)
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
OK - The package must contain code, or permissable content (no content)
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package (no devel package)
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release


Package APPROVED.
Comment 4 Sebastian Dziallas 2009-09-26 06:50:18 EDT
Thanks for the review! :) I'll adjust the sed line before importing...
Comment 5 Sebastian Dziallas 2009-09-26 06:58:53 EDT
New Package CVS Request
=======================
Package Name: gstreamer-plugins-espeak
Short Description: A simple gstreamer plugin to use espeak
Owners: sdz
Branches: F-10 F-11
Comment 6 Kevin Fenzi 2009-09-26 15:35:50 EDT
cvs done.
Comment 7 Fedora Update System 2009-09-26 17:48:02 EDT
gstreamer-plugins-espeak-0.3.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gstreamer-plugins-espeak-0.3.3-2.fc11
Comment 8 Fedora Update System 2009-09-26 17:48:07 EDT
gstreamer-plugins-espeak-0.3.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gstreamer-plugins-espeak-0.3.3-2.fc10
Comment 9 Fedora Update System 2009-09-29 10:29:37 EDT
gstreamer-plugins-espeak-0.3.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer-plugins-espeak'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10017
Comment 10 Fedora Update System 2009-09-29 10:37:05 EDT
gstreamer-plugins-espeak-0.3.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer-plugins-espeak'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10076
Comment 11 Fedora Update System 2009-10-06 05:58:03 EDT
gstreamer-plugins-espeak-0.3.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-10-06 06:10:32 EDT
gstreamer-plugins-espeak-0.3.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.